# ETSI NFV-SOL 006 - YANG models for NFV descriptors

This repository consists of YANG models for representing Network Functions Virtualisation (NFV)
descriptors, fulfilling the requirements specified in ETSI GS NFV-IFA 011 and 
ETSI GS NFV-IFA 014 applicable to a Virtualised Network Function Descriptor (VNFD), 
a Physical Network Functions Descriptor (PNFD) and a Network Service Descriptor (NSD).

The example-data folder consists of instance data files that serve as examples for the model. 

A more detailed explanation of the models and the examples can be found in [ETSI GS NFV-SOL 006](https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=57489).

## How to contribute

ETSI Forge uses Gitlab to manage submissions to the repository. 
Check the project page [here](https://forge.etsi.org/rep/nfv/SOL006) to submit contributions or to file requests and issues.

For more information on setting up your environment and contributing, you may 
refer to the [ETSI Forge wiki](https://forge.etsi.org/wiki/index.php/Main_Page).

